Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1123)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1124)
@@ -271,6 +271,13 @@
 		} else {
 			_compute_with_lists();
 		}
+		
+		//FIXME: temporary fix, compute all the children parts
+//		List<Part> parts = (List<Part>)getChildren(Part.class);
+//		for (int i = 0; i < parts.size(); i++) {
+//			parts.get(i).compute(this, true);
+//		}
+		
 		return true;
 	}
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 1123)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 1124)
@@ -57,10 +57,10 @@
 
 		Progression progression = null;
 		
-		// From link: creating from UUID and preferences nodes
-		String uuid = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
-		if (uuid != null && !uuid.isEmpty()) {
-			progression = new Progression(uuid);
+		// From link: creating from parameter node
+		String parametersNodePath = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+		if (parametersNodePath != null && !parametersNodePath.isEmpty()) {
+			progression = new Progression(parametersNodePath);
 		}
 		// From view result node
 		else	{
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1123)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1124)
@@ -58,10 +58,10 @@
 		
 		Concordance concordance = null;
 
-		// From link: creating from UUID and preferences node
-		String uuid = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
-		if (uuid != null && !uuid.isEmpty()) {
-			concordance = new Concordance(uuid);
+		// From link: creating from parameter node
+		String parametersNodePath = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+		if (parametersNodePath != null && !parametersNodePath.isEmpty()) {
+			concordance = new Concordance(parametersNodePath);
 		}
 		// From view result node
 		else	{
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 1123)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifities.java	(revision 1124)
@@ -73,14 +73,11 @@
 				// creating from Partition
 				if (selection instanceof Partition) {
 					Partition partition = (Partition) selection;
-					//lexicalTable = LexicalTableFactory.getLexicalTable(partition, partition.getCorpus().getProperty(defautProperty), fMin);
-					//lexicalTable = new LexicalTable(partition, partition.getCorpus().getDefaultProperty(), fMin, vMax);
 					lexicalTable = new LexicalTable(partition);
 				}
 				// creating from Subcorpus
 				else if (selection instanceof Subcorpus) {
 					Subcorpus corpus = (Subcorpus) selection;
-					//lexicalTable = LexicalTableFactory.getLexicalTable(corpus, corpus.getProperty(defautProperty));
 					lexicalTable = new LexicalTable(corpus, corpus.getDefaultProperty());
 				}
 				// creating from Lexical Table
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1123)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1124)
@@ -70,10 +70,10 @@
 
 		Cooccurrence cooc = null;
 
-		// From link: creating from UUID and preferences nodes
-		String uuid = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
-		if (uuid != null && !uuid.isEmpty()) {
-			cooc = new Cooccurrence(uuid);
+		// From link: creating from parameters node
+		String parametersNodePath = event.getParameter(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
+		if (parametersNodePath != null && !parametersNodePath.isEmpty()) {
+			cooc = new Cooccurrence(parametersNodePath);
 		}
 		// From view result node
 		else {
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1123)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1124)
@@ -1314,7 +1314,8 @@
 		
 			Arrays.sort(nodesNames);
 			for (String nodeName : nodesNames) {
-				Log.finest("TXMPreferences.getAllResultsNodePaths(): node name = " + nodeName);
+				// Debug
+//				Log.finest("TXMPreferences.getAllResultsNodePaths(): node name = " + nodeName);
 				
 				if(nodeName.startsWith(TXMResult.UUID_PREFIX))	{
 					// Debug
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1123)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1124)
@@ -280,7 +280,6 @@
 
 	public void setUserName(String name) {
 		userName = name;
-		//this.saveParameter(TXMPreferences.NAME, name);
 	}
 
 
@@ -379,13 +378,13 @@
 
 		List<Field> fields = new ArrayList<Field>();
 		Class<?> clazz = this.getClass();
+		
 		while (clazz != Object.class) {
 			fields.addAll(Arrays.asList(clazz.getDeclaredFields()));
 			clazz = clazz.getSuperclass();
 		}
 
 		return fields;
-
 	}
 
 	/**
@@ -527,8 +526,6 @@
 		str.append("\nDefault command preferences\n"); //$NON-NLS-1$
 		str.append(TXMPreferences.getKeysAndValues(DefaultScope.INSTANCE + "/" + this.commandPreferencesNodePath));
 
-
-
 		return str.toString();
 	}
 
@@ -603,7 +600,7 @@
 			return;
 		}
 		if (lastValue == null || !lastValue.equals(newValue)) {
-			Log.info("Setting dirty to true: old = "+ lastValue + " / new = " + newValue);
+			Log.info("Setting dirty to true: last = "+ lastValue + " / new = " + newValue);
 			this.setDirty();
 		}
 	}
@@ -1716,7 +1713,7 @@
 			// TODO where do we put this parent compute ? :o
 			//		if (parent != null && !parent.getHasBeenComputedOnce()) { // parent must be computed at least one time
 			// SJ: other way, test the object itself
-			if (this.parent != null && !(this.parent instanceof Project)) { 
+			if (this.parent != null && !(this.parent instanceof Project)) {
 				if (!this.parent.compute(monitor, false, updateLastParameters)) {
 					Log.severe("TXMResult.compute(): " + this.getClass().getSimpleName() + ": failed to compute parent result.");
 
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1123)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1124)
@@ -79,7 +79,7 @@
 			}
 			
 			// create a local result node in the project node, store in some parameters and call the linked command
-			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID();
+			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the target class
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERY, query);
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERIES, queries);
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1123)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1124)
@@ -71,7 +71,7 @@
 			}
 			
 			// create a local result node in the project node, store in some parameters and call the linked command
-			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID();
+			String resultParametersNodePath = this.getResultParent(event).getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the target class
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.MATCHES, matches.toString());
 			
